Update Voice
curl --request POST \
--url https://api.deepinfra.com/v1/voices/{voice_id}/edit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'name=<string>' \
--data 'description=<string>'import requests
url = "https://api.deepinfra.com/v1/voices/{voice_id}/edit"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({name: '<string>', description: '<string>'})
};
fetch('https://api.deepinfra.com/v1/voices/{voice_id}/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_id": "<string>",
"voice_id": "<string>",
"name": "<string>",
"description": "",
"created_at": 123,
"updated_at": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Text to Speech
Update Voice
POST
/
v1
/
voices
/
{voice_id}
/
edit
Update Voice
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I